import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/scenezone/list`,
    method: 'post',
    data
  })
}

// 上下架
export function change(type, ids, status){
  return request({
    url: `/admin/scenezone/hitOrSold/${type}/${ids}/${status}`,
    method: 'get'
  })
}

// 详情
export function detail(id){
  return request({
    url: `/admin/scenezone/getGroupDetailById/${id}`,
    method: 'get'
  })
}

// 编辑详情
export function edit(data){
  return request({
    url: `/admin/scenezone/editGroup`,
    method: 'post',
    data
  })
}

// 专区列表
export function detailList(data){
  return request({
    url: `/admin/scenezone/selectMenuPage`,
    method: 'post',
    data
  })
}

// 专区详情
export function menuDetail(menuId){
  return request({
    url: `/admin/scenezone/getMenuDetailById/${menuId}`,
    method: 'get'
  })
}

// 编辑专区
export function editMenu(data){
  return request({
    url: `/admin/scenezone/editMenu`,
    method: 'post',
    data
  })
}